Saltar al contenido principal
POST
/
user
/
purchase-topup
Comprar recarga
curl --request POST \
  --url https://api.olostep.com/user/purchase-topup \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "credits": 10000
}
'
import requests

url = "https://api.olostep.com/user/purchase-topup"

payload = { "credits": 10000 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({credits: 10000})
};

fetch('https://api.olostep.com/user/purchase-topup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "payment_intent_id": "pi_xxx",
  "credits": 10000
}
credits debe ser uno de los siguientes: 10000, 20000, 80000, o 100000 — es decir, 10K, 20K, 80K, o 100K créditos.
Para una visión general guiada, consulta Saldo y facturación.

Autorizaciones

Authorization
string
header
requerido

Encabezado de autenticación Bearer de la forma Bearer , donde es tu token de autenticación.

Cuerpo

application/json
credits
enum<integer>
requerido

Número de créditos a comprar. Valores permitidos: 10,000, 20,000, 80,000 o 100,000.

Opciones disponibles:
10000,
20000,
80000,
100000

Respuesta

Pago exitoso.

success
enum<boolean>
Opciones disponibles:
true
payment_intent_id
string

ID de Stripe PaymentIntent para el cargo.

credits
integer

Créditos comprados en esta solicitud.